Bug 1127676 - [Doc Bug Fix] Wrong example of Regular Expression User Name Login Module
Summary: [Doc Bug Fix] Wrong example of Regular Expression User Name Login Module
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Zach Rhoads
QA Contact: Ondrej Lukas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 10:36 UTC by Ondrej Lukas
Modified: 2015-08-24 14:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22558, Security Guide-6.3-1 Build Date: 30-07-2014 13:45:44 Topic ID: 30878-681389 [Specified]
Last Closed: 2015-08-24 14:23:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Ondrej Lukas 2014-08-07 10:36:28 UTC
In ⁠Chapter 13. Authentication and Authorization in part 13.1.5. Login with Certificate with PicketLink IDP there is a description and example of Regular Expression User Name Login Module. There is one issue and one related improvement which has to be fixed:

Issue - Result of example is only "007" (not "UID=007"). Rewrite it to "... would result in the output 007."

Improvement - At the end of description (before example) there should be mentioned that result which is passed on is only result of first group of brackets () (more groups of brackets can be used in pattern but only first of them will occure in result).

Comment 2 Deon Ballard 2015-06-22 21:54:02 UTC
Reassigning all EAP 6 bugs to Dawn as the new strategist.


Note You need to log in before you can comment on or make changes to this bug.